commit:     0007e5c88ba2e347d7c8493de09355bdfdb38c93
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  9 22:11:12 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar  9 23:44:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0007e5c8

dev-python/cssutils: Bump to 2.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cssutils/Manifest              |  1 +
 dev-python/cssutils/cssutils-2.0.0.ebuild | 44 +++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/cssutils/Manifest b/dev-python/cssutils/Manifest
index 23b7b70e68a..46579c30fde 100644
--- a/dev-python/cssutils/Manifest
+++ b/dev-python/cssutils/Manifest
@@ -1 +1,2 @@
 DIST cssutils-1.0.2.tar.gz 367038 BLAKE2B 
e19edce100dbc05d6e469eb6b0ad234d7d4c9458aca1b2a3e72bdeff1a35dec64427353936a339e2071d8ba2e8804c5754f55a391955a61ef61ae56381269125
 SHA512 
4988893875a03923d3127e334654799e5c2ebcdc0a7f5b3fb5c9ab27d1b331caa5bf197161312a298531e0757843aa3259ceba5fa19947353eea24a5da53ceda
+DIST cssutils-2.0.0.tar.gz 734153 BLAKE2B 
09a6db97c2f10865d88ca83fe93b3b7a3981608b4afdc20fbb8533cd49b9f06b03d30ea5f456e83fc28a199b375fb6c7709ef067107bea1965e74b5e810158b5
 SHA512 
598f589c0f5961abe4f55f2ad0a63c98c931592c00d6c28579895527d2d2fc71686f3ae08df5b64616aa64ebf5a160a4aab12f7eae961d8891c4f525568b0188

diff --git a/dev-python/cssutils/cssutils-2.0.0.ebuild 
b/dev-python/cssutils/cssutils-2.0.0.ebuild
new file mode 100644
index 00000000000..8f87d89ad44
--- /dev/null
+++ b/dev-python/cssutils/cssutils-2.0.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A CSS Cascading Style Sheets library"
+HOMEPAGE="https://pypi.org/project/cssutils/ https://cthedot.de/cssutils/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )"
+
+python_prepare_all() {
+       # fix casing of call to Windows-1252. Remove when upstream fixes casing.
+       sed -i -e 
's/encutils.tryEncodings(test)/encutils.tryEncodings(test).lower()/' \
+               cssutils/tests/test_encutils/__init__.py ||
+               die "fixing test_encutils failed"
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       ln -s "${S}/sheets" "${BUILD_DIR}/sheets" || die
+       # esetup.py test
+       # exclude tests that connect to the network
+       set -- nosetests -v -P "${BUILD_DIR}/lib/cssutils/tests" \
+               -e test_parseUrl
+       echo "$@"
+       "$@" || die "Testing failed with ${EPYTHON}"
+}

Reply via email to